M_ActivityHappySummerMissionCFG = {}

function M_ActivityHappySummerMissionCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityHappySummerMissionCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Name = "每日登录", CompleteType = 70, CompleteParam = 0, CompleteCount = 1, RewardItem = {1,5}, RewardQuantity = {10000,5}, GoType = 2}
	self.datas[2] = {ID = 2, Name = "完成黄金鱼抽奖3次", CompleteType = 51, CompleteParam = 0, CompleteCount = 3, RewardItem = {1,8}, RewardQuantity = {10000,5}, GoType = 1}
	self.datas[3] = {ID = 3, Name = "捕获5条boss鱼", CompleteType = 11, CompleteParam = 0, CompleteCount = 5, RewardItem = {1,9}, RewardQuantity = {10000,5}, GoType = 1}
	self.datas[4] = {ID = 4, Name = "当日消耗200钻石", CompleteType = 73, CompleteParam = 0, CompleteCount = 200, RewardItem = {1,17}, RewardQuantity = {10000,5}, GoType = 1}
	self.datas[5] = {ID = 5, Name = "累计充值30元", CompleteType = 56, CompleteParam = 0, CompleteCount = 30, RewardItem = {1,334}, RewardQuantity = {10000,1}, GoType = 4}
	self.datas[6] = {ID = 6, Name = "累计充值98元", CompleteType = 56, CompleteParam = 0, CompleteCount = 98, RewardItem = {1,334}, RewardQuantity = {10000,4}, GoType = 4}
	self.datas[7] = {ID = 7, Name = "累计充值328元", CompleteType = 56, CompleteParam = 0, CompleteCount = 328, RewardItem = {1,334}, RewardQuantity = {10000,16}, GoType = 4}
end

M_ActivityHappySummerMissionCFG:init()
